//+------------------------------------------------------------------+
//|                                                 Ost-HL-Bands.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Ostapjuk Nikolaj"
#property link      "middle@fxmail.ru"
//----
#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 Maroon
#property indicator_color2 Magenta
#property indicator_color3 SlateBlue
#property indicator_color4 SlateBlue
#property indicator_color5 MediumSeaGreen
#property indicator_color6 MediumSeaGreen
//---- input parameters
extern int period=2880;
extern int PERIOD=20160;
//----
int periodW;
int periodM;
//---- buffers 
double BaseBuff[];
double BaseTwin[];
double UpBuffer[];
double DnBuffer[];
double upBuffer[];
double dnBuffer[];
//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init()
  {
//---- indicators 
   periodW=period/Period();
   periodM=PERIOD/Period();
   IndicatorDigits(Digits);
   IndicatorBuffers(6);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,BaseBuff);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,BaseTwin);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,upBuffer);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,dnBuffer);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,UpBuffer);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,DnBuffer);
//---- 
   return(0);
  }
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
int start()
  {
   int counted_bars=IndicatorCounted();
//---- 
   int cnt;
   double high,highM,low,lowM;
   
     cnt = Bars - counted_bars - 1;
   while(cnt>=0)
     {
      high=High[iHighest(NULL,0,MODE_HIGH,periodW,cnt)];
      low=Low[iLowest(NULL,0,MODE_LOW,periodW,cnt)];
      highM=High[iHighest(NULL,0,MODE_HIGH,periodM,cnt)];
      lowM=Low[iLowest(NULL,0,MODE_LOW,periodM,cnt)];
      BaseBuff[cnt]=(high+low)/2.0;
      BaseTwin[cnt]=(highM+lowM)/2.0;
      
      upBuffer[cnt]=high;
      dnBuffer[cnt]=low;
      UpBuffer[cnt]=highM;
      DnBuffer[cnt]=lowM;
      cnt--;
     }
   return(0);
  }
//+------------------------------------------------------------------+

